﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

.sidebar {
    overflow-y: auto;
}
/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.layout-navbar-fixed.layout-fixed .wrapper .sidebar {
    margin-top: calc(5.8rem + 1px);
    height: calc(100vh - (5.8rem + 1px));
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.logtext {
    border: 1px solid #000000;
    height: 250px;
    overflow-y: auto;
}

.btn-info {
    background-color: #00C0EF !important;
}

    .btn-info:hover {
        background-color: #31b0d5 !important;
    }

    .btn-info:focus, .btn-info.focus {
        background-color: #31b0d5 !important;
    }
/**表格表头颜色*/
.dataTable thead th {
    background-color: #28a745 !important;
    color: #ffffff !important;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 14px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.overflowy-hide {
    overflow-x: hidden !important;
}


/**导航样式修改*/

[class*=sidebar-dark] .form-control-sidebar {
    background-color: #fff !important;
    border: 0px solid #fff;
    color: #000000;
}

[class*=sidebar-dark] .btn-sidebar {
    background-color: #fff !important;
    border: 0px solid #fff;
    color: #B8B8B8;
}

.layout-navbar-fixed .wrapper .sidebar-dark-primary .brand-link:not([class*=navbar]) {
    background-color: #00321e !important;
    border-bottom: 1px solid #fff;
}

.navbar-white {
    background-color: #00321e !important;
    color: white
}

.text-dark {
    color: #f8f9fa !important;
}

.navbar-light .navbar-nav .nav-link {
    color: #f8f9fa !important;
}

[class*=sidebar-dark-] {
    background-color: #00321e !important;
}

    [class*=sidebar-dark-] .sidebar a {
        color: #FFFFFF;
    }

    /**二级导航字体样式*/

    [class*=sidebar-dark-] .nav-treeview > .nav-item > .nav-link {
        color: #ffffff;
    }

.nav-link.active {
    background-color: #000000 !important;
    color: #fff !important;
}

/**logo图片样式*/
.logoIamge {
    /*    max-width: 100%;
    margin-left: 70px;
*/
}

li a, .pointer {
    cursor: pointer;
}
/**验证*/
.red {
    color: red !important;
    border-color: red !important;
}

.help-blue {
    color: #17a2b8;
    border-color: #17a2b8;
}

.align-right {
    text-align: right;
}

.align-left {
    text-align: left;
}

.align-center {
    text-align: center;
}

.reqok {
    border-color: #2ecc71;
}

.hidden, .hide {
    display: none !important;
}
/*滚动容器*/
.scroll-view {
    display: block;
    padding: 5px 5px 5px 0px;
    overflow: auto;
}

.loadding {
    width: 100%;
    height: 100%;
    top: 0px;
    position: fixed;
    z-index: 99999;
    background-color: #EDEFF0;
    filter: alpha(Opacity=80);
    -moz-opacity: 0.5;
    opacity: 0.5;
}

    .loadding svg {
        position: absolute;
        width: 3%;
        top: calc(50% - 3.5px);
        left: calc(50% - 3.5px);
    }




.headBox {
    /*height: 2.4rem;*/
    height: 100px;
    width: 100%;
    position: relative;
}

    .headBox .top {
        /*height: 1.2rem;*/
        height: 75px;
        background-color: #136827;
    }

    .headBox img {
        height: 42px;
    }

.contentBox {
    /*width: 6rem;*/
    width: 400px;
    margin: auto;
}

    .contentBox .tip {
        /*font-size: 0.28rem;*/
        font-size: 14px;
        color: #f8ad5a;
        margin-bottom: 5px;
    }

    .contentBox .titleBox {
        color: #136827;
        font-size: 26px;
        font-weight: 600;
        margin-top: 15px;
    }

    .contentBox .titleCarlsberg {
        color: #006939;
        /*font-size: 0.32rem;*/
        font-size: 30px;
        font-weight: 600;
        margin-top: 0px;
    }

    .contentBox .titledivBox {
        color: #006939;
        /*font-size: 0.32rem;*/
        font-size: 16px;
        font-weight: 600;
        margin-top: -13px
        /*margin-bottom: 0.2rem;*/
    }

    .contentBox .mt30 {
        /*margin-top: 0.36rem;*/
        margin-top: 30px;
    }

    .contentBox .divhile {
        display: none
    }

    .contentBox .divshow {
        display: block
    }

.contentBox {
}

    .contentBox .ipt {
        /*margin-bottom: 0.32rem;*/
        margin-bottom: 30px;
        border: none
    }

        .contentBox .ipt input {
            width: 350px;
            height: 40px;
            border-radius: 4px;
            padding: 15px;
            box-sizing: border-box;
            border: none;
            background-color: #a0d035;
            color: #006939;
            outline: none;
            /*font-size: 0.32rem;*/
            font-size: 20px;
            margin-top: -101px;
        }

    .contentBox .btn {
        width: 350px;
        height: 50px;
        border-radius: 4px;
        color: #fff;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        background-color: #136827;
        /*font-size: 0.32rem;*/
        font-size: 20px;
        margin-top: -10px;
    }

input:active, input:focus {
    border: 1px solid #67be25;
    outline: none;
}

.card-box {
    max-height: 400px;
    overflow-x: auto;
}

.modal-body .dataTables_scroll div {
    max-height: calc(100vh * 0.45) !important;
}

.modal-body .card-box {
    max-height: calc(100vh * 0.55) !important;
}

.formgroup-title-bg-color {
    background-color: #e9ecef;
}

/**select2**/
.select2-selection__choice, .select2-container--default .select2-results__option[aria-selected=true] {
    background-color: #00C0EF !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 22px !important;
}
